# Generated by rust2rpm 13
%bcond_without check
%global __cargo_skip_build 0

%global crate sd

Name:           rust-%{crate}
Version:        0.7.5
Release:        1%{?dist}
Summary:        Intuitive find & replace CLI

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/sd
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Intuitive find & replace CLI.

* Painless regular expressions

  sd uses regex syntax that you already know from JavaScript and Python.
  Forget about dealing with quirks of sed or awk - get productive immediately.

* String-literal mode

  Non-regex find & replace. No more backslashes or remembering which characters
  are special and need to be escaped.

* Easy to read, easy to write

  Find & replace expressions are split up, which makes them easy to read
  and write. No more messing with unclosed and escaped slashes.

* Smart, common-sense defaults

  Defaults follow common sense and are tailored for typical daily use.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Install all deps (without check), grab their licenses and make it simple
# * ASL 2.0 or MIT
# * MIT
# * MIT or ASL 2.0
# * (MIT or ASL 2.0) and BSD
# * Unlicense or MIT
License:        MIT and BSD

%description -n %{crate} %{_description}

%files       -n %{crate}
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/sd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 04 2020 Josh Stone <jistone@redhat.com> - 0.7.5-1
- Update to 0.7.5

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.7.4-1
- Update to 0.7.4

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 30 08:06:28 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Nov 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-4
- Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 21:02:05 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-2
- Regenerate

* Tue Jun 18 23:58:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.5-1
- Release 0.6.5 (#1721651)

* Sun Jun 16 20:10:19 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.1-1
- Release 0.6.1

* Sat Apr 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-1
- Initial package
